TWN56

Brian Warner warner at lothar.com
Fri Feb 5 00:44:46 UTC 2016


On 2/3/16 9:44 PM, Ramakrishnan Muthukrishnan wrote:
> On Thu, Feb 4, 2016, at 10:48 AM, Patrick R McDonald wrote:
>>   * known bug in recent Debian packaging:
>>   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=811392
> 
> I alerted the Debian maintainer for foolscap on this bug two days ago
> and he uploaded a fixed package yesterday.

Yup, the fixed foolscap .deb was released a few hours later. That
buildbot is now green.

All builders are green except for:

* Win7 (offline, also Daira is working on something)
* Ubuntu 15.10

My ubuntu builder is unable to compile the outdated versions of
pyOpenSSL that Tahoe claims to need (when it doesn't see anything better
already in place). The actual error is a multiple definition of some
function.

I tried adding the latest pyOpenSSL to the virtualenv that isolates the
buildslave: that resulted in a different error about setuptools versions
being mismatched.

I think at this point, tahoe may be unbuildable (from source) on the
current ubuntu release. I hope this will be fixed by the upcoming
zetuptoolz purge (and hopefully a general overhaul of our dependency
mechanism, including removing all the special cases that we currently
deal with). But I don't know if we should try to make that change before
releasing 1.10.3, or after.

cheers,
 -Brian



More information about the tahoe-dev mailing list